<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: upgrade.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../maincore.php";

if (!checkrights("U") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

require_once THEMES."templates/admin_header.php";
if (file_exists(LOCALE.LOCALESET."admin/upgrade.php")) {
	include LOCALE.LOCALESET."admin/upgrade.php";
} else {
	include LOCALE."English/admin/upgrade.php";
}                      

if (file_exists(BASEDIR."locale/".$settings['locale']."/admin/team.php")) {
	include BASEDIR."locale/".$settings['locale']."/admin/team.php";
} else {
	include BASEDIR."locale/English/admin/team.php";
}

opentable($locale['400']);
echo "<div style='text-align:center'><br />\n";
echo "<form name='upgradeform' method='post' action='".FUSION_SELF.$aidlink."'>\n";

if (str_replace(".", "", $settings['ef_version']) < "35") {
	if (!isset($_POST['stage'])) {
		echo sprintf($locale['500'], $locale['504'])."<br />\n".$locale['501']."<br /><br />\n";
		echo "<input type='hidden' name='stage' value='2'>\n";
		echo "<input type='submit' name='upgrade' value='".$locale['400']."' class='button'><br /><br />\n";
	} elseif (isset($_POST['upgrade']) && isset($_POST['stage']) && $_POST['stage'] == 2) {      
  
                  //tables
                  $result = dbquery("DROP TABLE IF EXISTS ".$db_prefix."shoutbox");
							$result = dbquery("CREATE TABLE ".$db_prefix."shoutbox (
							shout_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
							shout_name VARCHAR(50) NOT NULL DEFAULT '',
							shout_av VARCHAR(50) NOT NULL DEFAULT '',
							shout_message VARCHAR(200) NOT NULL DEFAULT '',
							shout_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
							shout_ip VARCHAR(20) NOT NULL DEFAULT '0.0.0.0',
							shout_hidden TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
							PRIMARY KEY (shout_id),
							KEY shout_datestamp (shout_datestamp)
							) ENGINE=MyISAM;");
							
              //panels
							$result = dbquery("INSERT INTO ".DB_PANELS." (`panel_id`, `panel_name`, `panel_filename`, `panel_content`, `panel_side`, `panel_order`, `panel_type`, `panel_access`, `panel_display`, `panel_status`) VALUES ('', 'Shoutbox', 'shoutbox_panel', '', '3', '1', 'file', '0', '1', '1')");
             
              //pa inserts
              $hf_adminpanel[1] = array(
	                   "title" => "Shoutbox",
                     "panel" => "shoutbox.php",
	                   "image" => "shout.png",
	                   "page" => "2",
	                   "rights" => "S"
                   );
                   
                   $hf_adminpanel[2] = array(
	                   "title" => "SQL Editor",
                     "panel" => "../infusions/mysql_inf/mysql_admin.php",
	                   "image" => "mysql.png",
	                   "page" => "3",
	                   "rights" => "SQL"
                   );  
                   
                 
                 //db admin  user values
                 $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('".$hf_adminpanel[1]['rights']."', '".$hf_adminpanel[1]['image']."', '".$hf_adminpanel[1]['title']."', '".$hf_adminpanel[1]['panel']."', '".$hf_adminpanel[1]['page']."')");
                 $result = dbquery("INSERT INTO ".$db_prefix."admin (admin_rights, admin_image, admin_title, admin_link, admin_page) VALUES ('".$hf_adminpanel[2]['rights']."', '".$hf_adminpanel[2]['image']."', '".$hf_adminpanel[2]['title']."', '".$hf_adminpanel[2]['panel']."', '".$hf_adminpanel[2]['page']."')");
                 $result = dbquery("SELECT user_rights FROM ".DB_USERS." WHERE user_level='106'");
						     while ($data = dbarray($result)) {
							          $result = dbquery("UPDATE ".DB_USERS." SET user_rights='".$data['user_rights'].".".$hf_adminpanel[2]['rights']."' WHERE user_level='106'");
						     }
             
                 
                //hf version
                $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='3.5' WHERE settings_name='ef_version'");
         echo $locale['502']."<br /><br />\n";
	}
} else {
	echo $locale['401']."<br /><br />\n";
}
	
echo "</form>\n</div>\n";
closetable();

require_once THEMES."templates/footer.php";
?>